## fsl-omx 2.0

=== OpenMAXIL/test/Makefile ===
#####################################################################################
#
#   Copyright (c) 2009-2010, Freescale Semiconductors Inc.,
#   All Rights Reserved.
# 
#   The following programs are the sole property of Freescale Semiconductors Inc.,
#   and contain its proprietary and confidential information.
# 
####################################################################################### 
#
#   This file will build OMX player.
#
######################################################################################

SUB_DIRS = ls -1d */

all:
	for dir in `$(SUB_DIRS)`; do \
		$(MAKE) -C $$dir || exit $$? ;\
	done
		
clean:
	for dir in `$(SUB_DIRS)`; do\
		$(MAKE) -C $$dir clean;\
	done

=== OpenMAXIL/test/mp3_player/Makefile ===
#####################################################################################
#
#   Copyright (c) 2010, Freescale Semiconductors Inc.,
#   All Rights Reserved.
# 
#   The following programs are the sole property of Freescale Semiconductors Inc.,
#   and contain its proprietary and confidential information.
# 
####################################################################################### 
#
#   This file will compile all cpp file and build dynimic library. 
#
######################################################################################


# Set the root directory
OMX_ROOT_DIR=../../..

# Set the BUILD information
include $(OMX_ROOT_DIR)/Makefile.defines

MODULE_NAME = mp3_player
BINARY_NAME = $(MODULE_NAME)_$(PROCESSOR)_$(OSTYPE)

CORE_LIB_NAME=core_mgr_v2
LFLAGS+= -l_omx_$(CORE_LIB_NAME)_$(PROCESSOR)_$(OSTYPE) -l$(OSAL_LIB_NAME) -l$(UTILS_LIB_NAME)

SOURCE_FILES = $(SRC_DIR)/mp3_player.c 

OBJECTS = $(SOURCE_FILES:.c=.o)

all: $(BINARY_NAME)
	#cp ../../release/bin/mp3_player_arm11_elinux ../../../../test/omx_release/OpenMAXIL/release/bin -f

$(BINARY_NAME):$(OBJECTS)
	$(CC) -o $(BINARY_NAME) $(OBJECTS) $(LFLAGS) -lpthread -ldl 

	mv $(BINARY_NAME) $(RELEASE_EXE_DIR)/$(BINARY_NAME)
	@echo "-----------------------------------------------------------------------------------"

.c.o:
	$(CXX) $(CXXFLAGS) -o $@ -c $< -I $(OMX_ROOT_DIR)/OpenMAXIL/ghdr -g

clean:
	@echo "cleaning ..."
	rm  -f $(SRC_DIR)/*.o
	rm  -f $(RELEASE_EXE_DIR)/$(BINARY_NAME)

=== OpenMAXIL/test/video_player/Makefile ===
#####################################################################################
#
#   Copyright (c) 2010, Freescale Semiconductors Inc.,
#   All Rights Reserved.
# 
#   The following programs are the sole property of Freescale Semiconductors Inc.,
#   and contain its proprietary and confidential information.
# 
####################################################################################### 
#
#   This file will compile all cpp file and build dynimic library. 
#
######################################################################################


# Set the root directory
OMX_ROOT_DIR=../../..

# Set the BUILD information
include $(OMX_ROOT_DIR)/Makefile.defines

MODULE_NAME = video_decoder_test
BINARY_NAME = $(MODULE_NAME)_$(PROCESSOR)_$(OSTYPE)

CORE_LIB_NAME=core_mgr_v2
LFLAGS+= -l_omx_$(CORE_LIB_NAME)_$(PROCESSOR)_$(OSTYPE) -l$(OSAL_LIB_NAME) -l$(UTILS_LIB_NAME)

SOURCE_FILES = $(SRC_DIR)/video_decoder_test.c 

OBJECTS = $(SOURCE_FILES:.c=.o)

all: $(BINARY_NAME)
	#cp ../../release/bin/video_decoder_test_arm11_elinux ../../../../test/omx_release/OpenMAXIL/release/bin -f

$(BINARY_NAME):$(OBJECTS)
	$(CC) -o $(BINARY_NAME) $(OBJECTS) $(LFLAGS) -lpthread -ldl 

	mv $(BINARY_NAME) $(RELEASE_EXE_DIR)/$(BINARY_NAME)
	@echo "-----------------------------------------------------------------------------------"

.c.o:
	$(CXX) $(CXXFLAGS) -o $@ -c $< -I $(OMX_ROOT_DIR)/OpenMAXIL/ghdr -g

clean:
	@echo "cleaning ..."
	rm  -f $(SRC_DIR)/*.o
	rm  -f $(RELEASE_EXE_DIR)/$(BINARY_NAME)

=== debian/changelog ===
fsl-omx (2.0-4) lucid; urgency=low

  * Import from 11.01 MMCODECS (LP: #729339)
  * debian/source/format: change to 3.0 (quilt)

 -- Alex Chiang <achiang@canonical.com>  Tue, 08 Mar 2011 10:04:02 -0700

fsl-omx (2.0-3) lucid; urgency=low

  * initial import from Freescale package fsl-omx 2.0-3

 -- Taiten Peng <taiten.peng@canonical.com>  Tue, 25 Jan 2011 15:28:51 +0800

=== debian/control ===
Source: fsl-omx
Section: libs
Priority: extra
Maintainer: Xupei Chen <b11896@freescale.com>
Build-Depends: debhelper (>= 7), libfsl-mm-core-dev (>= 1.9.7-1), libasound2-dev (>> 1.0.18), libgcc1 (>= 1:4.4.0), libstdc++6-4.4-dev (>= 4.3.0), libimx-dev
Standards-Version: 3.9.1
Vcs-Bzr: lp:~oem-solutions-group/charlotte/fsl-omx

Package: fsl-omx
Architecture: armel
Depends: ${misc:Depends}, libasound2 (>> 1.0.18), libc6 (>= 2.4), libgcc1 (>= 1:4.4.0), libstdc++6 (>= 4.3.0), libfsl-mm-core1 (>= 1.9.7-1)
Description: FreeScale OpenMAX libraries
 This package provides Freescale OpenMax libraries and testing tools
